Subject: [PATCH] pinctrl-exynos5440: Use off-stack memory for pinctrl_gpio_range

From: [email-masked] (Krzysztof Kozlowski)
Date: Tue, 19 Apr 2016 10:19:11 +0200

On 04/19/2016 09:24 AM, Tomasz Figa wrote:
> Hi Andrew,
> 
> 2016-04-19 13:13 GMT+09:00 Andrew Jeffery <[email-masked]>:
>> The range is registered into a linked list which can be referenced
>> throughout the lifetime of the driver. Ensure the range's memory is useful
>> for the same lifetime by adding it to the driver's private data structure.
>>
>> The bug was introduced in the driver's initial commit, which was present in
>> v3.10.
>>
>> Signed-off-by: Andrew Jeffery <[email-masked]>
>> Fixes: f0b9a7e521fa ("pinctrl: exynos5440: add pinctrl driver for Samsung EXYNOS5440 SoC")
>> Cc: stable at vger.kernel.org
>> ---
>> This is my first contribution to the kernel, so hopefully I've followed all the
>> relevant documentation. If not, please let me know and point me in the right
>> direction!
>>
>> I don't have the means to test the patch, but it compiles. Someone with
>> appropriate hardware should probably give it a spin.
>>
> 
> Thanks for the patch. Good catch, I wonder how this even worked. Just
> one minor nitpick below.
> 
> Unfortunately I don't have any platform based on this SoC to test, so
> I'll defer to Krzysztof or Sylwester to handle this.

We don't have this board neither, it is not so popular and apparently
not many people are using it because such bug remained unnoticed.

Reviewed-by: Krzysztof Kozlowski <[email-masked]>

Best regards,
Krzysztof